Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class PanSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.event.PanSupport

All Implemented Interfaces:
  java.io.Serializable

public class PanSupport
extends ListenerSupport

This is a utility class that can be used by beans that need support for handling PanListeners and firing PanEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`PanSupport(java.lang.Object sourceBean)` Construct a PanSupport.

Method Summary
`void` | `addPanListener(PanListener listener)` Add a PanListener to the listener list.
`void` | `firePan(float Az)`
`void` | `firePan(float az, float c)` Fire a pan event.
`void` | `firePan(int direction)` Deprecated. use firePan(azimuth)
`void` | `firePan(int direction, float amount)` Deprecated. use firePan(azimuth, arc)
`void` | `removePanListener(PanListener listener)` Remove a PanListener from the listener list.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanSupport

    public PanSupport(java.lang.Object sourceBean)

  Construct a PanSupport.

Parameters:
  `sourceBean` - The bean to be given as the source for any events.

Method Detail

### addPanListener

    public void addPanListener(PanListener listener)

  Add a PanListener to the listener list.

  Parameters:
    `listener` - The PanListener to be added

### removePanListener

    public void removePanListener(PanListener listener)

  Remove a PanListener from the listener list.

  Parameters:
    `listener` - The PanListener to be removed

### firePan

    public void firePan(int direction)

  Deprecated. use firePan(azimuth)

  Send a pan event to all registered listeners.

  Parameters:
    `direction` - PanEvent.NORTH ... PanEvent.NORTH_WEST
  See Also:
    `PanEvent`

### firePan

    public void firePan(int direction,
                        float amount)

  Deprecated. use firePan(azimuth, arc)

  Send a pan event to all registered listeners.

  Parameters:
    `direction` - PanEvent.NORTH ... PanEvent.NORTH_WEST
    `amount` - (0.0 <= amount) in decimal degrees.
  See Also:
    `PanEvent`

### firePan

    public void firePan(float Az)

### firePan

    public void firePan(float az,
                        float c)

  Fire a pan event.

  Parameters:
    `az` - azimuth "east of north" in decimal degrees: `-180 <= Az <= 180`
    `c` - arc distance in decimal degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details